<?php
namespace Claromentis\Search\Suggestions;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_ab1e14183ebb02378ed5" . "335a96a4288d" => base64_decode("Y2ZnX3" . "NlYXJj" . "aF9wbH" . "VnaW5z"), "_7f628626dd" . "1d55c71b1fc" . "0932ffd1d2c" => base64_decode("aXN" . "fYX" . "JyY" . "Xk="), "_f73dab606630b" . "388645c4f7d3fb" . "b13bb" => base64_decode("YXJyYXl" . "fbWVyZ2" . "U="), "_49c6565477" . "ee9f822b499" . "a53e6d2995f" => base64_decode("YXJyYXlfa2V5X2V4" . "aXN0cw=="));
use ErrorHandler;









class PluginLoader extends ErrorHandler
{
    
    
    
    
    
    
    protected static $valid_applications = array('documents' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Document', 'publish' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Publish', 'news' => 'Claromentis\\Search\\Suggestions\\SearchResource\\News', 'people' => 'Claromentis\\Search\\Suggestions\\SearchResource\\People', 'forum' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Forum');
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function GetPluginByUrl($url)
    {
        $plugins = static::GetPlugins();
        foreach ($plugins as $_6a02aaefc5f2925e469e5aca3990865a => $_327c87139880ba8bc0fa0b9a7e24a44d) {
            if ($_327c87139880ba8bc0fa0b9a7e24a44d::IsSupportedUrl($url)) {
                $_daf0ea4a4657bd95111bb4f0079b9cff = new $_327c87139880ba8bc0fa0b9a7e24a44d();
                return [$_daf0ea4a4657bd95111bb4f0079b9cff, $_6a02aaefc5f2925e469e5aca3990865a];
            }
        }
        return [null, null];
    }
    
    
    
    
    
    
    
    
    
    public static function PluginFactory($_f44467aacb8a4520c7382769d24aa422)
    {
        $plugins = static::GetPlugins();
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_49c6565477" . "ee9f822b499" . "a53e6d2995f"]($_f44467aacb8a4520c7382769d24aa422, $plugins)) {
            return new $plugins[$_f44467aacb8a4520c7382769d24aa422]();
        } else {
            return null;
        }
    }
    
    
    
    
    
    
    
    private static function GetPlugins()
    {
        global $g_application;
        $_ab1e14183ebb02378ed5335a96a4288d = $g_application->config->get($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ab1e14183ebb0237" . "8ed5335a96a4288d"]);
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7f628626dd1d55c71b1fc093" . "2ffd1d2c"]($_ab1e14183ebb02378ed5335a96a4288d)) {
            $plugins = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f73dab606630b3" . "88645c4f7d3fbb1" . "3bb"](self::$valid_applications, $_ab1e14183ebb02378ed5335a96a4288d);
        } else {
            $plugins = self::$valid_applications;
        }
        return $plugins;
    }
}